/*
 * Awake File: Easy file upload & download through HTTP with Java
 * Awake SQL: Remote JDBC access through HTTP.                                    
 * Copyright (C) 2012, Kawan Softwares S.A.S.
 * (http://www.awakeframework.org). All rights reserved.                                
 *                                                                               
 * Awake File/SQL is free software; you can redistribute it and/or                 
 * modify it under the terms of the GNU Lesser General Public                    
 * License as published by the Free Software Foundation; either                  
 * version 2.1 of the License, or (at your option) any later version.            
 *                                                                               
 * Awake File/SQL is distributed in the hope that it will be useful,               
 * but WITHOUT ANY WARRANTY; without even the implied warranty of                
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU             
 * Lesser General Public License for more details.                               
 *                                                                               
 * You should have received a copy of the GNU Lesser General Public              
 * License along with this library; if not, write to the Free Software           
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  
 * 02110-1301  USA
 *
 * Any modifications to this file must keep this entire header
 * intact.
 */

//Parameter.java
//Copyright (c) Kawan Softwares S.A.S, 2012
//
//Last Updates: 
// 23 dc. 2009 15:40:12 Nicolas de Pomereu
// 09/03/11 20:05 NDP - Parameter add STATEMENT_HOLDER
// 28/09/11 18:40 NDP : Parameter: STATEMENT_HOLDER reflects Awake Sql value
// 28/09/11 19:05 NDP : Parameter: add TEST_CRYPTO
// 30/09/11 15:25 NDP : Parameter: rewrite short values for each Parameter
// 30/09/11 15:25 NDP : Parameter: add TOKEN_LEFT_SIZE = 20
// 08/10/11 13:40 NDP : Parameter: Keep long values because of backward compatibility
// 10/12/11 21:00 NDP : Parameter: add public static String VERSION 

package org.awakefw.file.util.parms;


/**
 * @author Nicolas de Pomereu
 * 
 */
public class Parameter {
    // Keep long values because of backward compatibility
    public static final String ACTION = "action";
    public static final String LOGIN = "login";
    public static final String PASSWORD = "password";
    public static final String TOKEN = "token";
    public static final String METHOD_NAME = "method_name";
    public static final String PARAMS_TYPES = "params_types";
    public static final String PARAMS_VALUES = "params_values";
    public static final String FILENAME = "filename";

    /** To test if crypto is correctly set */
    public static final String TEST_CRYPTO = "test_crypto";

    // Special parameter for which there is no encryption at http transport
    // level
    public static final String STATEMENT_HOLDER = "st_h";

    /** The version fo server to know if there is a protocol change */
    public static String VERSION = "version";
    
    /** The token length to use */
    public static final int TOKEN_LEFT_SIZE = 20;

    /**
     * Protected constructor
     */
    protected Parameter() {
    }

}
